org.kie.api.pmml

## Class PMML4DataField

- java.lang.Object
- - org.kie.api.pmml.PMML4AbstractField
  - - org.kie.api.pmml.PMML4DataField

- All Implemented Interfaces:
    PMML4Field
  Direct Known Subclasses:
    PMML4OutputField

      public class PMML4DataField
      extends PMML4AbstractField

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMML4DataField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getContext()`
    `String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isMissing()`
    `boolean` | `isValid()`
    `void` | `setContext(String context)`
    `void` | `setMissing(boolean missing)`
    `void` | `setName(String name)`
    `void` | `setValid(boolean valid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PMML4DataField

          public PMML4DataField()

  - ### Method Detail

    - #### getContext

          public String getContext()

    - #### isValid

          public boolean isValid()

    - #### isMissing

          public boolean isMissing()

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### setContext

          public void setContext(String context)

    - #### setValid

          public void setValid(boolean valid)

    - #### setMissing

          public void setMissing(boolean missing)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.